$( document ).ready(function() {
	$("form.form-basket").on('submit', function(event) {
		
		var productImage = $(this).closest('.product-cell').find('.image-wrapper .image-content img');
		var productX = productImage.offset().left;
		var productY = productImage.offset().top;
		
		var basketAffix = $('#evo-main-nav-wrapper.affix .megamenu .fa-shopping-cart').closest('li.visible-affix');
        if (basketAffix.length) {
			var basket = basketAffix;
        } else {
            var basket = $(".cart-menu");
        }
		
		var basketX = basket.offset().left;
		var basketY = basket.offset().top;
		 
		var gotoX = basketX - productX;
		var gotoY = basketY - productY;
		
		 
		var newImageWidth = productImage.width() / 3;
		var newImageHeight = productImage.height() / 3;
	
		$(productImage)
			.clone()
			.prependTo("body")
			.css({'position' : 'absolute', 'left': productX , 'top' : productY , 'z-index' : '9999'})
			.animate({opacity: 0.9}, 100 )
			.animate({opacity: 0.6, marginLeft: gotoX, marginTop: gotoY, width: newImageWidth,
							 height: newImageHeight}, 1200, function() {
				$(this).remove();
				basket.addClass('inCart');
				setTimeout(function() {
					basket.removeClass('inCart');
				}, 500);
			});
	
		if ($('body.noCartPopUp').length) {
			$('body').bind('DOMNodeInserted', '.modal', function() {
				if ($('.modal a.btn-basket').length) {
					$('.modal').remove();
					$('body').removeClass('modal-open').removeAttr('style');
					return false;
				}
			});
		}
			
	});

	
	$("#quantity-grp button[type='submit']").click(function(event) {
		event.preventDefault();
		var productImage = $(this).closest('#product-offer').find('#gallery .image-container .active img.img-responsive-width');
		var productX = productImage.offset().left;
		var productY = productImage.offset().top;
		 
		var basketAffix = $('#evo-main-nav-wrapper.affix .megamenu .fa-shopping-cart').closest('li.visible-affix');
        if (basketAffix.length) {
			var basket = basketAffix;
//			console.log('affix');
        } else {
            var basket = $(".cart-menu");
        }
		
		var basketX = basket.offset().left;
		var basketY = basket.offset().top;
		 
		var gotoX = basketX - productX;
		var gotoY = basketY - productY;
		
		 
		var ImageWidth = productImage.width();
		var newImageWidth = ImageWidth / 3;
//		console.log('Width: '  + ImageWidth + ' -> ' + newImageWidth);
		var ImageHeight = productImage.height();
		var newImageHeight = ImageHeight / 3;
//		console.log('Height: '  + ImageHeight + ' -> ' + newImageHeight);
		
		$(productImage)
			.clone()
			.prependTo("body")
			.css({'position' : 'absolute', 'left': productX , 'top' : productY , 'z-index' : '9999', width: ImageWidth, height: ImageHeight})
			.animate({opacity: 0.9}, 100 )
			.animate({opacity: 0.6, marginLeft: gotoX, marginTop: gotoY, width: newImageWidth,
							 height: newImageHeight}, 1200, function() {
				$(this).remove();
				basket.addClass('inCart');
				setTimeout(function() {
					basket.removeClass('inCart');
				}, 500);
				$('#buy_form').submit();
				return false;
			});
	});
});